### Function

# Pango AttrFontFeatures new

#### Declaration [src]

    PangoAttribute*
    pango_attr_font_features_new (
      const gchar* features
    )

#### Description [src]

Create a new font features tag attribute.

You can use this attribute to select OpenType font features like small-caps, alternative glyphs, ligatures, etc. for fonts that support them.

Available since: | 1.38

#### Parameters

`features` | `const gchar*`
| A string with OpenType font features, with the syntax of the CSS font-feature-settings property
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `PangoAttribute`
| The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.